2014-08-29 14:57:13 +00:00
|
|
|
From b5a5fb4486dee09287df825ecd1d2f8b76a98682 Mon Sep 17 00:00:00 2001
|
|
|
|
From: Martin Wilck <martin.wilck@ts.fujitsu.com>
|
|
|
|
Date: Fri, 29 Aug 2014 15:42:51 +0200
|
|
|
|
Subject: Find kernel modules in extra and weak-updates path also
|
|
|
|
|
|
|
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
|
|
|
---
|
|
|
|
dracut-functions.sh | 2 +-
|
|
|
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
|
|
|
|
2015-06-30 12:59:59 +00:00
|
|
|
Index: dracut-042/dracut-functions.sh
|
2015-03-31 14:12:12 +00:00
|
|
|
===================================================================
|
2015-06-30 12:59:59 +00:00
|
|
|
--- dracut-042.orig/dracut-functions.sh 2015-06-24 18:02:08.741336717 +0200
|
|
|
|
+++ dracut-042/dracut-functions.sh 2015-06-24 18:02:29.194501095 +0200
|
|
|
|
@@ -1657,7 +1657,7 @@ find_kernel_modules_by_path () {
|
2014-08-29 14:57:13 +00:00
|
|
|
_OLDIFS=$IFS
|
|
|
|
IFS=:
|
2015-06-30 12:59:59 +00:00
|
|
|
while read a rest || [ -n "$a" ]; do
|
2014-08-29 14:57:13 +00:00
|
|
|
- [[ $a = */$1/* ]] || [[ $a = updates/* ]] || continue
|
|
|
|
+ [[ $a = */$1/* ]] || [[ $a = updates/* ]] || [[ $a = extra/* ]] || [[ $a = weak-updates/* ]] || continue
|
|
|
|
printf "%s\n" "$srcmods/$a"
|
|
|
|
done < "$srcmods/modules.dep"
|
|
|
|
IFS=$_OLDIFS
|